export interface HttpRequestOptions {
    onprogress?: (event: ProgressEvent) => void;
    dataType?: XMLHttpRequestResponseType;
    headers?: Array<{
        name: string;
        value: string;
    }>;
    body?: any;
    querys?: any;
    file?: File;
}
export declare type MethodType = 'GET' | 'PUT' | 'POST' | 'DELETE';
export declare function networkingCall(url: string, options?: HttpRequestOptions, methodType?: MethodType): Promise<any>;
